MGD77MAGREF(1)

NAME
mgd77magref - Evaluate the IGRF or CM4 magnetic field models

SYNOPSIS
mgd77magref [ inputfile ] [ -A[+aalt+tdate+y] ] [ -Ccm4file ] [ -DDstfile ] [ -Ef107file ] [ -Fflags ] [ -G ] [ -H[i][nrec] ] [ -Sc|llow/high ] [ -V ] [ -:[i|o] ] [ -b[i|o][s|S|d|D[ncol]|c[var1/...]] ] [ -f[i|o]colinfo ] [ -m[i|o][flag] ]

DESCRIPTION
mgd77magref will evaluate the IGRF or the CM4 geomagnetic models at the specified locations and times.

OPTIONS
No space between the option flag and the associated arguments.

inputfile
    Contains the moments in space-time where we want to evaluate the magnetic reference field. The first two columns must contain longitude and latitude (however, see -: for latitude and longitude instead). Normally, the third and fourth columns must contain altitude and time, respectively, but if one or both of these are constant for all records they can be supplied via the -A option instead and are thus not expected in the input file. If no input file is given we read stdin. A note about the CM4 validity domain. The core field of CM4 is valid from 1960-2002.5 but the ionospheric and magnetospheric fields are computed after the Dst and F10.7 coefficient files. We extended here those coefficient files up to 2006, which means that one can compute external contributions up until 2006 but the Secular Variation will be biased (non reliable). New indices files may be retrieved from:ftp://ftp.ngdc.noaa.gov/STP/GEOMAGNETIC_DATA/INDICES/DST/ (the Dst coefficients) and ftp://ftp.ngdc.noaa.gov/STP/SOLAR_DATA/SOLAR_RADIO/FLUX/ (The F10.7 index file is a MONTHPLT.ABS). NOTE: since the Dst files in the .../DST/ directory are still only up to 2006, for GMT4.5.1 we extended the Dst till August 2009 by reformating the data in the preliminary file Est_Ist_index_0_mean.pli, which is at ftp://ftp.ngdc.noaa.gov/STP/GEOMAGNETIC_DATA/INDICES/EST_IST/

-A  Adjusts how the input record is interpreted. Append +a to set a fixed altitude that should apply to all data records [Default expects altitude to be in the 3rd column of all records]. Append +t to set a fixed time that should apply to all data records [Default expects time to be in the 4th column of all records]. Finally, append +y to indicate that all times are specified as decimal years [Default is ISO dateTcolck format].

-C  Specify an alternate CM4 coefficient file [umdl.CM4].

-D  Specify an alternate file with hourly means of the Dst index for CM4 [Dst_all.wdc]. Alternatively, simply specify a single index to apply for all records.

-E  Specify an alternate file with monthly means of absolute F10.7 solar radio flux for CM4 [F107_mon.plt]. Alternatively, simply specify a single flux to apply for all records.

-F  Selects output items; flags is a string made up of one or more of these characters:
    r means output all input columns before adding the items below (all in nTesla).
    t means list total field.
    h means list horizontal field.
    x means list X component.
    y means list Y component.
    z means list Z component.
    d means list declination.
    i means list inclination.
    Append one or more number to indicate the requested field contribution(s):
    0 means IGRF field (no combinations allowed)
    1 means Core field
    2 means Lithospheric
    3 Primary Magnetospheric field
    4 Induced Magnetospheric field
    5 Primary ionospheric field
    6 Induced ionospheric field
    7 Toroidal field
    9 means Core field from IGRF and other contributions from CM4. DO NOT USE BOTH 0 AND 9.
    Appending several numbers (1-7) will add up the different contributions. For example -Ft/12 computes the total field due to Core and Lithospheric sources. Two special cases are allowed, wich mix which Core field from IGRF and other sources from CM4. -Ft/934 computes Core field due to IGRF plus terms 3 and 4 from CM4 (but you can add others). -Ft/934 the same as above but output the field components. The data is written out in the order they appear in flags [Default is -Frthxyzdi/1].

-G  Specifies that coordinates are geocentric [geodetic].

-H  Input file(s) has header record(s). If used, the default number of header records is N_HEADER_RECS. Use -Hi if only input data should have header records [Default will write out header records if the input data have them]. Blank lines and lines starting with # are always skipped.

-L  Computes J field vectors from certain external sources.
    r means output all input columns before adding the items below (all in Ampers/m).
    t means list magnitude field.
    x means list X component.
    y means list Y component.
    z means list Z or current function Psi.
    Append a number to indicate the requested J contribution:
    1 means Induced Magnetospheric field.
    2 means Primary ionospheric field.
    3 means Induced ionospheric field.
    4 means Poloidal field.

-Sc Limits the wavelengths of the core field contribution to the band indicated by the low and high spherical harmonic order [1/13].

-Sl Limits the wavelengths of the lithosphere field contribution to the band indicated by the low and high spherical harmonic order [14/65].

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-bi Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of columns in your binary input file if it exceeds the columns needed by the program. Or append c if the input file is netCDF. Optionally, append var1/var2/... to specify the variables to be read. [Default is 4 input columns unless -A is used].

-bo Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file. [Default is reflected by -F].

-m  Multiple segment file(s). Segments are separated by a special record. For ASCII files the first character must be flag [Default is '>']. For binary files all fields must be NaN and -b must set the number of output columns explicitly. By default the -m setting applies to both input and output. Use -mi and -mo to give separate settings to input and output.

TIME SETTINGS
If binary input files are used then absolute time are stored as time relative to the selected epoch. However, since the epoch used is not stored in the data files there can be problems decoding the correct time. The mgd77 supplement uses the Unix time system as its default; thus you should make sure that binary data files with time uses the same system (see the GMT default TIME_SYSTEM).

EXAMPLES
To get the CM4 Total field, Declination and Inclination due to all but lithospheric and toroidal field at a one point location and decimal time 2000.0, try

echo -28 38 0 2000.0 | mgd77magref -A+y -Ftdi/13456

To do the same as above but at noon (Universal Time) of first May 2001, try

echo -28 38 0 2001-05-01T12:00:00 | mgd77magref -Ftdi/13456

SEE ALSO
GMT(1) mgd77info(1) mgd77list(1) mgd77manage(1) mgd77track(1)

REFERENCES
Wessel, P., and W. H. F. Smith, 2009, The Generic Mapping Tools (GMT) version 4.5.0 Technical Reference & Cookbook, SOEST/NOAA.
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.
"Comprehensive Modeling of the Geomagnetic Field", see http://denali.gsfc.nasa.gov/cm/.
"The International Geomagnetic Reference Field (IGRF)", see http://www.iugg.org/IAGA/iaga_pages/pubs_prods/igrf.htm.